Fix some NULL pointer stuff.
--- a/src/LutefiskXCorr.c
+++ b/src/LutefiskXCorr.c
@@ -251,7 +251,7 @@
 	Determine the sequence length.
 */
 	pSeq = &currScorePtr->peptide[0];
-	while(*pSeq != NULL)
+        while(*pSeq != '\x0')
 	{
 		seqLength++;
 		pSeq++;
@@ -552,8 +552,8 @@
 */
 	pSeq = &currScorePtr->peptide[0];
 	seqLength = 0;
-	while(*pSeq != NULL)
-	{
+        while(*pSeq != '\x0')
+        {
 		seqLength++;
 		pSeq++;
 	}
